Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516495 - libvirt plugin crashes collectd
Summary: libvirt plugin crashes collectd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z9
: 10.0 (Newton)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 18:22 UTC by Matthias Runge
Modified: 2018-07-31 10:37 UTC (History)
6 users (show)

Fixed In Version: collectd-5.8.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 10:37:20 UTC


Attachments (Terms of Use)

Description Matthias Runge 2017-11-22 18:22:19 UTC
Description of problem:
adding collectd virt plugin crashes collectd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Matthias Runge 2017-11-22 18:37:21 UTC
some stuff to read about this
https://github.com/collectd/collectd/issues/2410

Comment 3 Lon Hohberger 2018-07-06 10:34:20 UTC
According to our records, this should be resolved by collectd-5.8.0-10.el7ost.  This build is available now.

Comment 4 Leonid Natapov 2018-07-31 06:52:05 UTC
Jul 31 06:38:51 controller-0 collectd[796547]: plugin_load: plugin "virt" successfully loaded. 

Tested on osp10z9.


Note You need to log in before you can comment on or make changes to this bug.